> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usesink.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Plan Details



## OpenAPI

````yaml /openapi.json patch /plans/{plan_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /plans/{plan_id}:
    patch:
      tags:
        - PLANS
      summary: Update Plan Details
      operationId: update_plan_details_plans__plan_id__patch
      parameters:
        - name: plan_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Plan Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PlanUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlanResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PlanUpdate:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        price_cents:
          anyOf:
            - type: integer
            - type: 'null'
          title: Price Cents
        max_seats:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Seats
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
        is_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Active
      type: object
      title: PlanUpdate
    PlanResponse:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        name:
          type: string
          title: Name
        price_cents:
          type: integer
          title: Price Cents
        max_seats:
          type: integer
          title: Max Seats
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
      type: object
      required:
        - id
        - name
        - price_cents
        - max_seats
      title: PlanResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````